%define _sharedir /usr/share/grok

Summary: A powerful pattern matching system for parsing and processing text
Name: grok
Version: 0.9.2
Release: 2%{?dist}
Group: System Environment/Utilities
License: BSD-2-Clause
Source0: https://github.com/jordansissel/grok/archive/v%{version}.tar.gz
URL: http://www.semicomplete.com/projects/grok/
BuildRoot: %{_tmppath}/v%{version}-root
BuildRequires:	libevent-devel
BuildRequires:	gperf
BuildRequires:	tokyocabinet-devel
BuildRequires:	pcre-devel
Patch0: grok-28d5706.patch
Patch1: grok-1429ad8.patch
Patch2: grok-c6cfeb5.patch
Patch3: grok-06c4f30.patch
Patch4: grok-f440e9b.patch
Patch5: grok-44ce937.patch

%description
A powerful pattern matching system for parsing and processing text data such
as log files.

# repeated to please shared library policy
%package -n libgrok1
Summary: A powerful pattern matching system for parsing and processing text

%description -n libgrok1
A powerful pattern matching system for parsing and processing text data such
as log files.

%package devel
Group:		Development/Libraries/C
Summary:	Grok development headers
Requires:	libgrok1 = %{version}
Requires:       tokyocabinet-devel

%description devel
Headers required for grok development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_includedir}
%{__mkdir_p} %{buildroot}%{_sharedir}/patterns/base
install -c grok %{buildroot}/%{_bindir}
install -c libgrok.so %{buildroot}/%{_libdir}
install -c patterns/base %{buildroot}%{_sharedir}/patterns/base
for header in grok.h grok_pattern.h grok_capture.h grok_capture_xdr.h grok_match.h grok_logging.h grok_discover.h grok_version.h; do
 install -c $header %{buildroot}/%{_includedir}
done

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libgrok1
%defattr(755,root,root)
%{_bindir}/grok
%{_libdir}/libgrok.so
%dir %{_sharedir}
%dir %{_sharedir}/patterns
%dir %{_sharedir}/patterns/base
%defattr(644,root,root)
%{_sharedir}/patterns/base/*

%files devel
%defattr(644,root,root)
%{_includedir}/*

%changelog
* Wed Jan 28 2015 Fabien Wernli <wernli at in2p3.fr> 0.9.2-2
- integrate github patches upto ecb6f35
- change requires for EL6
* Thu Jan 22 2015 Peter Czanik <czanik@balabit.com> 0.9.2-1
- update to latest git snapshot
* Tue Mar  8 2011 Jordan Sissel <jls@semicomplete.com> 1.20110308.1-1
* Mon Oct 19 2009 Pete Fritchman <petef@databits.net> 20090928-1
- Initial packaging.
